lunes, septiembre 17, 2007

Lineage 2 en Ubuntu Feisty/Gutsy/Hardy

Esto sirve para Ubuntu Feisty(7.04) Gutsy (7.10) y Ahora También en Hardy (8.04) probado y andando

Lineage 2 en Linux.... Funciona perfecto con wine, y no hay que configurarlo demasiado, solo unas cosillas

Lineage 2 es un MMORPG (Multi Massive On Line RPG), los gráficos son excelentes y la jugabilidad ni que hablar

◄ Captura de un User en el juego

Para quien no lo conozca o no sepa de donde sacarlo: Lineage II
Guarden esta pagina, ya q de aquí se bajan los parches y eso

Básicamente es hacer lo siguiente:

Tener instalado el Wine de los repos o desde WineHQ el que más les guste

Instalar el Lineage y el server que usaremos con Wine:

Botón derecho al Instalador del DVD *.exe y "abrir con wine", el instalador arrancara como lo haría en Wintendo. una vez terminada la instalación hagan lo siguiente:

De la carpeta Windows/System32 de wintendo copian a la Windows/System32 de Wine los siguientes Archivos

  • dpmodemx.dll
  • dpnet.dll
  • dpwsock.dll
  • dpwsockx.dll
Ahora van a la carpeta donde se instalo el Lineage o sea /.wine/drive_c/Archivos de programa/Lineage II/system de su /Home y en la carpeta System renombren la carpeta Gameguard.... o borrenla, yo nunca borro por las dudas ahora deberíamos poder jugar perfectamente.

Una cosilla mas, la primera vez que lo corran aparecera una pantalla gris la cual no pone nada y es inmanejable, denle click dentro del gris, enter y esperen unos minutillos, luego click de nuevo y enter..... y para q no aparezca mas deben editar el acceso directo e iniciar desde /Lineage2/system/L2.exe, esto hara que la pantalla no aparezca mas.

NOTA: Lamentablemente solo funciona con el Wine 1.1.5... cualquier otro que tengan dará un error de directX constantemente.... bajanse la 1.1.5 y forzar esa versión para que no se actualice.

17 comentarios:

Anónimo dijo...

hola quisiera que me dieras porfavor los links exactos para descargar codecs de totem para poder ver dvd tengo ubuntu 7.01

OberonKing dijo...

No creo que sea el lugar para pedir los codecs de Totem.... no se que tiene q ver con el juego Lineage, pero bue

De aca te bajas todo lo que quieras de Ubuntu la version q sea

Paquetes Ubuntu


Por favor tratemos de postear comentarios donde corresponde

Anónimo dijo...

Hola!!

segui tal cual la guia para instalar el L2 , pero no tuve exito.. tengo instalado ubuntu gutsy con wine 0.9.41 y no se conecta nunca..

OberonKing dijo...

Hola!
En que parte te quedas???
Ojo.... Los Servers Oficiales no arrancan por el GameGuard.
Intenta con uno, como decimos, Fruta

podes bajarte el que juego yo

Descargar el Patch

Tenes que bajar el "PatchFull v16" e instalarlo en el mismo lugar donde instalaste el Lineage2

Anónimo dijo...

Hola! gracias por tu respuesta!!
lo que me pasa es que ejecuto el juego (despues de parcharlo con el patch del server que juego [l2.comunidadzero.com, perdon por el chivo :P]) y resulta que pongo mi usuario y contraseña y nada.. no se conecta... se queda ahi :(
voy a probar el parche que me pasas, si anda me cambio de servidor :P

Saludos!
Leandro

OberonKing dijo...

Para todos aquellos como yo que no pueden pasar la pantalla de login... LO CONSEGUÍ!!!!!! los pasos en la guía actualizada

Saludos y gracias por pasar

Anónimo dijo...

* dpmodemx.dll
* dpnet.dll
* dpwsock.dll
* dpwsockx.dll


y de dónde saco esos?

Wintendo?
perdón por ser tan novato..pero bueno

entiendo que te refieres a copiarlos desde windows pero...y si no tengo windows instalado?

OberonKing dijo...

En el caso de no tener wintendo instalado
puedes poner en google el nombre de la dll, y hay miles de paginas de donde bajarlos.
Por ejemplo esta pagina: http://www.driverskit.com/dll

UVW90 dijo...

AAAAAAAAAAAAAAAAAAAAAAAAAAA GRACIAAAAAAAAAAAAAAAAAAAASSSSSS VA MUY BIEN!!!!! Y PUEDO CONFIRMAR QUE VA TAMBIEN EN INTREPID IBEX (UBUNTU 8.10)

MUCHAS GRACIAAAAS

Anónimo dijo...

GRACIAAAASS!! tambien funciona en intrepid ibex (ubuntu 8.10). Y sin esperar a ke cargue al principio

OberonKing dijo...

De nada... me alegro mucho que les haya funcionado.

Anónimo dijo...

Me da un error al iniciar. Me puedes decir que es???

http://s3.subirimagenes.com:81/imagen/previo/thump_3122952pantallazo.png

un saludo

OberonKing dijo...

Pues... la captura que has puesto no me dice nada... es mas, no la veo.
Si llega a ser algo de direcX9 error, es que pusiste un wine que no es el 1.1.5... cualquier otro no funciona... los probé todos desde ese y ninguno funcionó.
Si es otra cosa me avisas

Anónimo dijo...

Hola otra vez, estoy instalando o mas bien intentado instalar la 1.1.5 y me da el siguiente error:

"configure: error: X development files not found. Wine will be built
without X support, which probably isn't what you want. You will need to install
development packages of Xlib/Xfree86 at the very least.
Use the --without-x option if you really want this."

lo he buscado y no encuentro que es. si me puedes ayudar????
un saludo y gracias

OberonKing dijo...

Perdona.. tal vez este equivocado, pero estas compilandolo con configure / make ......?????

si es así, no lo hagas.... existen paquetes ya hechos.....

ACA: http://wine.budgetdedicated.com/archive/ubuntu/hardy/wine_1.1.5~winehq0~ubuntu~8.04-0ubuntu1_i386.deb

lo bajas y le das doble click.. primero debes desinstalar el que tengas instalado si es que es de mayor numeración, por ejemplo 1.1.28......

David dijo...

ya el post esta algo viejo pero bueno, hago todo lo de la guía en el 9.04 e instalo el mismo wine, pero al arrancar el juego me dice que tengo que habilitar la agp y pues esta habilitada.

OberonKing dijo...

A mi también me aparecía ese cartel... pero le daba click en aceptar y cargaba perfectamente después.